 Kermit is a file transfer program.  It allows the transfer  of  files
 over  terminal lines from a remote Kermit program to the local Kermit
 program.

 Kermit-32 can be run from SYS$SYSTEM:.  It will then prompt for input
 from SYS$COMMAND:.

 Kermit-32 can be run in either local  or  remote  modes.   In  remote
 mode,  transfers  take  place  over  the  controlling  terminal line.
 Ususally, Kermit-32 is used in remote mode  as  a  "server",  meaning
 that  it  will accept commands from the other Kermit.  In local mode,
 Kermit-32 will perform transfers over a terminal line other than  the
 controlling  terminal.  In local mode, Kermit-32 is capable of giving
 commands to a "server" Kermit.  Note that in order to  use  Kermit-32
 in  local  mode, the protection code for the terminal to be used must
 allow the user access.  This is set by the system manager.  Kermit-32
 is put into local mode by using the SET LINE TTcnn:  command.
1 CONNECT

 The CONNECT command will  allow  you  to  connect  in  as  a  virtual
 terminal over the line that was specified by the SET LINE command, or
 to the terminal line specified in the  command.   The  terminal  line
 must  be  one  which  is accessible to the users process.  This means
 that the applicable protection code for the terminal must  have  been
 set  to allow your process to access it (done by the system manager).
 The format of the CONNECT command is:

           Kermit-32>CONNECT

 or

           Kermit-32>CONNECT TTcn:

 where TTcn:  is the terminal line name to be used.
1 EXIT

 The EXIT command will cause Kermit to return to command level.   This
 command  is the same as the QUIT command.  An example of this command
 is:

           Kermit-32>EXIT
1 QUIT

 This command will cause Kermit to return to command level.   This  is
 the same as the EXIT command.

           Kermit-32>QUIT
1 RECEIVE

 The RECEIVE command is used to put Kermit-32 into remote mode waiting
 for  a single file transfer transaction, or to have a local Kermit-32
 request a file from the remote Kermit.  If no file  specification  is
 given,  Kermit-32  will  wait  for  a  file  transfer  initialization
 sequence from the other Kermit.  This is most  useful  if  the  other
 Kermit  does  not support local server commands.  In order for a file
 specification to be given, Kermit-32  must  be  running  as  a  local
 Kermit  (i.e.,  a  SET  LINE command must have been done).  Kermit-32
 will then request the other Kermit (which must be running  in  server
 mode)  to transfer the specified file (or set of files) to Kermit-32.
 The file specification must be in the format of the system  on  which
 the server Kermit is running.  The format of the command is:

           Kermit-32>RECEIVE

 or

           Kermit-32>RECEIVE file-specification

 Where "file-specification" is any valid  file  specification  on  the
 system on which the server Kermit is running.
1 GET

 This command is identical to the RECEIVE  command.   It  is  now  the
 preferred  command  to cause the other Kermit (when running in server
 mode) to transmit a file to Kermit-32.
1 BYE

 This command will cause Kermit-32 (when in local mode)  to  tell  the
 other  Kermit  (which  should  be in server mode) to exit from Kermit
 and, if applicable, terminate  its  job  (or  process,  etc.).   When
 Kermit-32  receives  the  acknowledgement that this is being done, it
 will exit to VMS.

           Kermit-32>BYE

1 FINISH

 This command will cause Kermit-32 (when in local mode)  to  tell  the
 other  Kermit  (which  should be in server mode) to exit from Kermit.
 After  receiving  the  acknowledgement  that  this  is  being   done,
 Kermit-32 will prompt for another command.

           Kermit-32>FINISH

1 LOGOUT

 This command will cause Kermit-32 (when in local mode)  to  tell  the
 other  Kermit  (which  should  be in server mode) to exit from Kermit
 and, if applicable, terminate  its  job  (or  process,  etc.).   When
 Kermit-32  receives  the  acknowledgement that this is being done, it
 will prompt for another command.

           Kermit-32>LOGOUT

1 SEND

 The SEND command will allow you  to  send  a  file(s)  to  the  other
 Kermit.   The SEND command will allow file wild card processing as is
 found in VMS.  If Kermit-32 is running in remote mode, the file  will
 be  sent on the controlling terminal line after waiting the number of
 seconds specified by the SET DELAY command.  This gives the user time
 to  escape  back to the other Kermit and issue a receive command.  If
 Kermit-32 is running in local mode, the file will be sent immediately
 on the terminal line specified by the SET LINE command.

 The command format is:

           Kermit-32>SEND file-specification

 Where "file-specification" is any normal VAX/VMS file specification.
1 SERVER

 This command will cause Kermit-32 to enter server  mode.   The  other
 Kermit  can  then  issue  server  commands  to send and receive files
 without having  to  give  SEND  or  RECEIVE  commands  to  Kermit-32.
 Kermit-32  may  be  put  into  SERVER  mode while running as either a
 remote Kermit (transmitting over the controlling terminal  line),  or
 as  a  local  Kermit (transmitting over a terminal specified by a SET
 LINE command).  Note that in order to correctly receive binary  files
 while  in  SERVER mode, a SET FILETYPE BINARY must be done first.  At
 this time there is no way  for  Kermit-32  to  determine  whether  an
 incoming file is ASCII or binary.

 The format of the command is:

           Kermit-32>SERVER

1 SET

 The SET command is used to set various parameters in Kermit.
2 BLOCK_CHECK_TYPE

 The SET BLOCK_CHECK_TYPE command is used to  determine  the  type  of
 block  check  sequence  which  will be used during transmission.  The
 block check sequence is used to detect  transmission  errors.   There
 are  three  types  of  block  check  available.  These are the single
 character checksum (default), the two  character  checksum,  and  the
 three character CRC (cyclic redundancy check).  This command does not
 ensure that the desired type of block check will be used, since  both
 Kermit's involved in the transfer must agree on the block check type.
 Kermit-32 will request that the type  of  block  check  set  by  this
 command be used for a transfer.  If the other Kermit has also had the
 same block check type requested, then the desired  block  check  type
 will be used.  Otherwise, the single character checksum will be used.
 (See Kermit protocol manual for more information.)

           Kermit-32>SET BLOCK_CHECK_TYPE keyword

 Where keyword is one of:

 1.  1_CHARACTER_CHECKSUM or ONE_CHARACTER_CHECKSUM

 2.  2_CHARACTER_CHECKSUM or TWO_CHARACTER_CHECKSUM

 3.  3_CHARACTER_CRC_CCITT or THREE_CHARACTER_CRC_CCITT

2 DEBUGGING

 The SET DEBUGGING command is used to set the debug type  out  on  the
 user's  terminal.   The command will accept either the keywords ON or
 OFF.  Kermit-32 can only do debugging type  out  when  running  as  a
 local  Kermit (SET LINE command done).  This is because the debugging
 type out would interfere with the file transfer if it  were  sent  to
 the controlling terminal line in remote mode.

           Kermit-32>SET DEBUGGING state

 Where state is either 'ON' or 'OFF'.
2 DELAY

 The DELAY parameter is the number of seconds to wait  before  sending
 data  after  a SEND command is given.  This is used when Kermit-32 is
 running in remote mode to allow the user time to escape back  to  the
 other Kermit and give a RECEIVE command.

           Kermit-32>SET DELAY number-of-seconds

 Where number of seconds is the (decimal) number  of  second  to  wait
 before sending data.
2 ESCAPE

 This  command  will  set  the  escape  character  for   the   CONNECT
 processing.   The  command will take the octal value of the character
 to use as the escape character.  This is the character which is  used
 to  "escape"  back  to Kermit-32 after using the CONNECT command.  It
 defaults to ] (octal 35).  It is usually a  good  idea  to  set  this
 character  to  something which is not used (or at least not used very
 much) on the system being to which Kermit-32 is CONNECTing.

           Kermit-32>SET ESCAPE octal-character-value

 Where octal-character-value is the ASCII value of  the  character  to
 use as the escape character (in octal).
2 FILE_TYPE

 This command will set the file type that Kermit is receiving.  A file
 type  of  ASCII  should be used to receive text files which are to be
 used as text files on the VMS system.  The file type BINARY should be
 used for binary files, such as CP/M .COM files, which need to be kept
 in a format that allows the file to be returned without any changes.

           Kermit-32>SET FILE_TYPE type
3 ASCII

 File type ASCII is for text files.
3 BINARY

 File type BINARY is for non-text files.  Note that binary files which
 are  generated  on  a VMS system cannot be transferred to another VMS
 system  without  losing  file  attributes.   This  means  that   (for
 example),  an  .EXE file cannot be transmitted with Kermit-32.  (This
 problem should be resolved in a future verison of Kermit).
2 IBM_MODE

 The SET IBM_MODE command allows Kermit-32 to be put into a mode which
 will  allow  transfers to an IBM host.  This causes Kermit-32 to wait
 for the IBM turnaround character (XON,  CTRL-Q)  before  sending  any
 characters to the other Kermit.  It also forces the parity type to be
 mark, and turns on local echo for the CONNECT command.

           Kermit-32>SET IBM_MODE keyword

 Where keyword is either ON or OFF.
2 INCOMPLETE_FILE_DISPOSITION

 The SET INCOMPLETE_FILE_DISPOSITION allows the user to determine what
 is  done  with  a  file  that  is  not  completely  received.  If the
 disposition is KEEP, all file received will be kept, even if  only  a
 portion  of the file is received.  If the disposition is DISCARD (the
 default), files which are not completely received are discarded.

           Kermit-32>SET INCOMPLETE_FILE_DISPOSITION keyword

 Where keyword is either DISCARD or KEEP.
2 LINE

 This will set the terminal line that you  are  using.   The  terminal
 line  must  be  one  which  is accessible to the users process.  This
 means that the applicable protection code for the terminal must  have
 been  set  to  allow  your  process  to access it (done by the system
 manager).

           Kermit-32>SET LINE device:

 The device must be a terminal line (TTA0:).
2 LOCAL_ECHO

 The SET LOCAL_ECHO command specifies  whether  characters  should  be
 echoed  locally  when CONNECTing to another system.  If LOCAL_ECHO is
 set to ON, any  character  typed  on  the  terminal  will  be  echoed
 immediately  to  the  terminal,  as  well  as being sent to the other
 system.  If LOCAL_ECHO is set to OFF (the  default),  the  characters
 typed  on the terminal are only sent to the other system (which would
 normally be echoing the characters).

           Kermit-32>SET LOCAL_ECHO keyword

 Where keyword is either ON or OFF.
2 MESSAGE

 This command sets the  type  of  typeout  Kermit-32  will  do  during
 transfers   in   local   mode.   Kermit-32  can  type  out  the  file
 specification being transferred, the packet  numbers  being  sent  an
 received,   both   or   neither.    The   default  is  to  type  file
 specifications but not packet numbers.

           Kermit-32>SET MESSAGE type keyword

 Where type is either FILE or PACKET, and keyword is either ON or OFF.
2 PARITY

 This command determines the type of parity to use on the transmission
 line.   Kermit  normally  uses characters which consist of eight data
 bits with no parity bit.  For systems  or  transmission  media  which
 require  a  specific parity type, Kermit can send characters as seven
 data bits plus a parity bit.

           Kermit-32>SET PARITY keyword

 Where keyword is one of:

 1.  NONE (default) - eight data bits and no parity bit.

 2.  MARK - seven data bits with the parity bit set to one.

 3.  SPACE - seven data bits with the parity bit set to zero.

 4.  EVEN - seven data bits with  the  parity  bit  set  to  make  the
     overall parity even.

 5.  ODD - seven data bits with the parity bit set to make the overall
     parity odd.

2 REPEAT_QUOTE

 This command sets the character to be used as the  lead-in  character
 for  a  repeat sequence (a string of characters which represents some
 number of characters which are repeated in the data).  Both  Kermit's
 must  support  repeat  compression  for  this  to  be in effect.  The
 character set by this command must be in the range  41  ("1")  to  76
 (">")  or 140 ("`") to 176 ("~").  The character will only be used on
 file which are being  transmitted  by  Kermit-32.   The  REPEAT_QUOTE
 character  used for incoming files is decided on by the other Kermit.
 The default value is 176 ("~").  A value of 40 (a space) will disable
 repeat compression.

           Kermit-32>SET REPEAT_QUOTE nnn

 Where nnn is the ASCII value for the  repeat  quoting  character  (in
 octal).
2 RETRY

 This command sets the maximum number of times Kermit-32 should try to
 send  specific  packet.   There  are  two retry maximums, one for the
 initial connection packet (the "SEND-INIT"), the other for all  other
 packets.   The  default  value  for  initial  connections  is 5.  The
 default value for all other packets is 16.

           Kermit-32>SET RETRY keyword n

 Where keyword is either INITIAL_CONNECTION  (for  initial  connection
 packet)  or  PACKET  (for  all  other  packets), and n is the decimal
 number of retries to attempt.
2 RECEIVE

 It  is  possible  to  set  various  parameters  associated  with  the
 receiving  of  the  data  from  the  remote Kermit.  SET RECEIVE will
 enable you to set the various receive parameters.
3 PACKET_LENGTH

 This will  set  the  receive  packet  length.   The  value  for  this
 parameter  must be between 10 and 96.  Packet lengths outside of this
 range are illegal.  The default value is 80.

           Kermit-32>SET RECEIVE PACKET_LENGTH 60
3 PADDING

 This command will set the number of padding characters that  will  be
 sent to the other Kermit.  The default value is 0.

           Kermit-32>SET RECEIVE PADDING n

 Where n is the decimal number of padding characters to use.
3 PADCHAR

 This parameter is the padding character that is sent  to  the  remote
 Kermit.   The  parameter must be an octal number in the range of 0 to
 37 or 177.  All other values are illegal.  The default value is 0 (an
 ASCII NUL).

           Kermit-32>SET RECEIVE PADCHAR nnn

 Where nnn is the ASCII value of the character to be  used  as  a  pad
 character (in octal).
3 START_OF_PACKET

 This command will set the start of packet character for Kermit.   The
 start of packet character must be in the range of 0 to 36 octal.  The
 default value is 1 (ASCII SOH, CTRL-A).  This value  should  only  be
 changed  if  absolutely  necessary.   It must be set the same in both
 Kermit's.

           Kermit-32>SET RECEIVE START_OF_PACKET 3
3 TIMEOUT

 This will set the number of seconds before Kermit-32  will  time  out
 the  attempt  to  receive a message.  This time out is used to handle
 transmission errors which totally lose a message.  The default  value
 is 15 seconds.

           Kermit-32>SET RECEIVE TIMEOUT n

 Where n is the number of seconds to wait for a message (in decimal).
3 END_OF_LINE

 This will set the end of line  character  the  Kermit-32  expects  to
 receive  from  the  remote  Kermit.   This  is  the  character  which
 terminates a packet.  The default value is 15 (ASCII CR, CTRL-M).

           Kermit-32>SET RECEIVE END_OF_LINE nnn

 Where n is the ASCII value of the character to use  for  the  end  of
 line character (in octal).
3 QUOTE

 This will set the quoting character that  Kermit-32  will  expect  on
 incoming  messages.   This  is  the  character  used to quote control
 characters.  The default value is 43 (ASCII " ").

           Kermit-32>SET RECEIVE QUOTE nnn

 Where nnn is the ASCII value of the quoting character (in octal).
3 EIGHT_BIT_QUOTE

 This command sets the character to be used (when necessary) to  quote
 characters  which  have the eigth bit (parity bit) set.  This is used
 to transfer eight-bit bytes  on  a  transmission  medium  which  only
 supports  seven  data  bits.   The  default  value  is 46 (ASCII "").
                                                                   _
 Eigth-bit quoting will only be used if both Kermit's can  handle  it,
 and  the  tranmission  medium  does  not  transmit  8  data  bits (as
 indicated by the SET PARITY command).

           Kermit-32>SET RECEIVE EIGHT_BIT_QUOTE nnn

 Where nnn is the ASCII value of the character (in octal) to  use  for
 quoting characters which have the eigth bit set.
2 SEND

 It  is  possible  to  set  various  parameters  associated  with  the
 receiving  of  the data from the remote Kermit.  SET SEND will enable
 you to set the various SEND parameters.  These parameters should  not
 normally be set, since as part of the transfer initialization process
 the two Kermit's exchange their RECEIVE parameters.   The  capability
 of  setting  these  parameters  is  provided  so  that  the  transfer
 initialization can be completed even if the  default  parameters  are
 not correct.
3 PACKET_LENGTH

 This will set the SEND packet length.  The value for  this  parameter
 must  be between 10 and 96.  Packet lengths outside of this range are
 illegal.  The default value is 80.

           Kermit-32>SET SEND PACKET_LENGTH 60
3 PADDING

 This command will set the number of padding characters that  will  be
 sent to the other Kermit.  The default value is 0.

           Kermit-32>SET SEND PADDING n

 Where n is the decimal number of padding characters to use.
3 PADCHAR

 This parameter is the padding character that is sent  to  the  remote
 Kermit.   The  parameter must be an octal number in the range of 0 to
 37 or 177.  All other values are illegal.  The default value is 0 (an
 ASCII NUL).

           Kermit-32>SET SEND PADCHAR nnn

 Where nnn is the ASCII value of the character to be  used  as  a  pad
 character (in octal).
3 START_OF_PACKET

 This command will set the start of packet character for Kermit.   The
 start of packet character must be in the range of 0 to 36 octal.  The
 default value is 1 (ASCII SOH, CTRL-A).  This value  should  only  be
 changed  if  absolutely  necessary.   It must be set the same in both
 Kermit's.

           Kermit-32>SET SEND START_OF_PACKET 3
3 TIMEOUT

 This will set the number of seconds before Kermit-32 will time out  a
 message  it has sent to the other Kermit.  message.  This time out is
 used to handle transmission errors which totally lose a message.  The
 default value is 15 seconds.

           Kermit-32>SET SEND TIMEOUT n

 Where n is the number of seconds to wait for a message (in decimal).
3 END_OF_LINE

 This will set the end of line character the Kermit-32  will  send  to
 the  remote Kermit.  This is the character which terminates a packet.
 The default value is 15 (ASCII CR, CTRL-M).

           Kermit-32>SET SEND END_OF_LINE nnn

 Where n is the ASCII value of the character to use  for  the  end  of
 line character (in octal).
3 QUOTE

 This will set the quoting character that  Kermit-32  will  expect  on
 incoming  messages.   This  is  the  character  used to quote control
 characters.  The default value is 43 (ASCII " ").

           Kermit-32>SET SEND QUOTE nnn

 Where nnn is the ASCII value of the quoting character (in octal).
1 SHOW

 The SHOW command will allow you to show the various  parameters  that
 are set with the SET command.
2 ALL

 The SHOW ALL command will cause all of the parameters to be listed.
2 BLOCK_CHECK_TYPE

 This command will  type  out  what  type  of  block  check  is  being
 requested.
2 COMMUNICATIONS

 This command will type out the communcations line related parameters.
 This includes the terminal line being used, the parity type, etc.
2 DEBUGGING

 The SHOW DEBUGGING command will print  the  state  of  the  debugging
 flag.
2 DELAY

 This will display the number of seconds delay that  Kermit  will  use
 before attempting to send or receive a file.
2 ESCAPE

 This will display  the  current  escape  character  for  the  CONNECT
 processing.
2 FILE_PARAMETERS

 This will display the parameters related to files being  used.   This
 includes the file type and the incomplete file disposition.
2 FILE_TYPE

 This will display the current file type that is used in  sending  the
 file to or receiving the from the micro computer.
2 INCOMPLTE_FILE_DISPOSITION

 This will display the disposition of incompletely received files.
2 LOCAL_ECHO

 This will display the status of the local echo flag.
2 PACKET

 This will display the current settings of the send and receive packet
 parameters.
2 PARITY

 This will display the current parity setting.
2 SEND

 All of the send parameters will be displayed on the user's terminal.
2 RECEIVE

 The current values of the RECEIVE parameters will be displayed on the
 user's  terminal.   Only  the  parmeters  that  can  be  set  will be
 displayed.
2 RETRY

 This command will show the maximum retry attempts  that  Kermit  will
 attempt to send a message the remote.
1 STATUS

 The current status of Kermit-32 will be displayed.  This includes the
 number of characters that have been sent and received from the remote
 Kermit.  Also included is an estimate of the effective baud  rate  of
 the  transfer.   This number is not intended to be exact, but only an
%RNFIIF ^M ignored
	on output page 1; on input line 858 of page 1 of file "DSK:VMSKERMIT.RNH.1"
 indication of what range of throughput has been provided.
